#ifndef __COMMON_H__
#define __COMMON_H__

#include "config.h"
#include <string>
#include <sstream>

#include <cmath>
inline int roundval(double f)
{
   double floored = std::floor(f);
   return (int)(f - floored < 0.5 ? floored : std::ceil(f));
}

inline std::string from_int(int value)
{
   std::ostringstream buf;
   buf<<value;
   return buf.str();
}

#endif
